<?php
/**
 * The browse view file of leave module of Zdoo.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      chujilu <chujilu@cnezsoft.com>
 * @package     leave
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../../sys/common/view/treeview.html.php';?>
<?php js::set('confirmReview', $lang->leave->confirmReview)?>
<div id='menuActions'>
  <?php commonModel::printLink('oa.leave', 'export', "mode=all&orderBy={$orderBy}", $lang->exportIcon . $lang->export, "class='btn btn-secondary iframe' data-width='700'");?>
  <?php commonModel::printLink('oa.leave', 'create', '', "<i class='icon icon-plus'></i> {$lang->leave->create}", "data-toggle='modal' class='btn btn-primary'")?>
</div>
<?php if($type != 'browseReview'):?>
<div class='main-row'>
  <div class='side-col'>
    <div class='panel'>
      <div class='panel-body'>
        <ul class='tree' data-collapsed='true'>
          <?php foreach($yearList as $year):?>
          <li class='<?php echo $year == $currentYear ? 'active' : ''?>'>
            <?php commonModel::printLink('oa.leave', $type, "date=$year", $year);?>
            <ul>
              <?php foreach($monthList[$year] as $month):?>
              <li class='<?php echo ($year == $currentYear and $month == $currentMonth) ? 'active' : ''?>'>
                <?php commonModel::printLink('oa.leave', $type, "date=$year$month", $year . $month);?>
              </li>
              <?php endforeach;?>
            </ul>
          </li>
          <?php endforeach;?>
        </ul>
      </div>
    </div>
  </div>
  <div class='main-col'>
<?php endif;?>
    <div class='panel main-table' data-ride='table'>
      <?php $canBatchReview = ($leaveList && $type == 'browseReview' && commonModel::hasPriv('leave', 'batchReview'));?>
      <?php if($canBatchReview):?>
      <form id='batchReviewForm' method='post' action='<?php echo inlink('batchReview', 'status=pass');?>'>
      <?php endif;?>
        <table class='table has-sort-head' id='leaveTable'>
          <thead>
            <tr class='text-center'>
              <?php $vars = "&date={$date}&orderBy=%s";?>
              <th class='w-60px text-left'>
                <?php if($canBatchReview):?>
                <div class='checkbox-primary check-all' title='<?php echo $this->lang->selectAll;?>'><label></label></div>
                <?php endif;?>
                <?php commonModel::printOrderLink('id', $orderBy, $vars, $lang->leave->id);?>
              </th>
              <th class='w-100px'><?php commonModel::printOrderLink('createdBy', $orderBy, $vars, $lang->leave->createdBy);?></th>
              <th><?php echo $lang->user->dept;?></th>
              <th class='w-60px'><?php commonModel::printOrderLink('type', $orderBy, $vars, $lang->leave->type);?></th>
              <th class='w-140px'><?php commonModel::printOrderLink('begin', $orderBy, $vars, $lang->leave->start);?></th>
              <th class='w-140px'><?php commonModel::printOrderLink('end', $orderBy, $vars, $lang->leave->finish);?></th>
              <th class='w-140px'><?php commonModel::printOrderLink('backDate', $orderBy, $vars, $lang->leave->backDate);?></th>
              <th class='w-70px'><?php commonModel::printOrderLink('hours', $orderBy, $vars, $lang->leave->hours);?></th>
              <th class='text-left c-desc'><?php echo $lang->leave->desc;?></th>
              <th class='w-100px'><?php commonModel::printOrderLink('status', $orderBy, $vars, $lang->leave->status);?></th>
              <?php if($type == 'personal'):?>
              <?php $class = $this->app->clientLang == 'en' ? 'w-200px' : 'w-160px';?>
              <th class='<?php echo $class;?>'><?php echo $lang->actions;?></th>
              <?php else:?>
              <?php $class = $this->app->clientLang == 'en' ? 'w-160px' : 'w-140px';?>
              <th class='<?php echo $class;?>'><?php echo $lang->actions;?></th>
              <?php endif;?>
            </tr>
          </thead>
          <?php foreach($leaveList as $leave):?>
          <?php $viewUrl = commonModel::hasPriv('oa.leave', 'view') ? $this->createLink('oa.leave', 'view', "id={$leave->id}&type=$type") : '';?>
          <?php if($type == 'browseReview' && $leave->type == 'annual' && isset($leftAnnualDays[$leave->createdBy])):?>
          <tr class='text-center' id='leave<?php echo $leave->id;?>' url='<?php echo $viewUrl;?>' data-toggle='tooltip' data-placement='top' data-tip-class='tooltip-danger' title="<?php echo sprintf($lang->leave->annualTip, $leftAnnualDays[$leave->createdBy]);?>">
          <?php else:?>
          <tr class='text-center' id='leave<?php echo $leave->id;?>' url='<?php echo $viewUrl;?>'>
          <?php endif?>
            <td class='idTD text-left'>
              <?php if($canBatchReview):?>
              <div class='checkbox-primary'><input type='checkbox' name='leaveIDList[]' value="<?php echo $leave->id;?>" id="leaveIDList<?php echo $leave->id;?>">
                <label for="leaveIDList<?php echo $leave->id;?>"></label>
              </div>
              <?php endif;?>
              <?php echo $leave->id;?>
            </td>
            <td><?php echo zget($users, $leave->createdBy);?></td>
            <td><?php echo zget($deptList, $leave->dept);?></td>
            <td><?php echo zget($lang->leave->typeList, $leave->type);?></td>
            <td><?php echo formatTime($leave->begin . ' ' . $leave->start, DT_DATETIME2);?></td>
            <td><?php echo formatTime($leave->end . ' ' . $leave->finish, DT_DATETIME2);?></td>
            <td><?php echo formatTime($leave->backDate, DT_DATETIME2);?></td>
            <td><?php echo $leave->hours == 0 ? '' : $leave->hours;?></td>
            <td class='text-left c-desc' title='<?php echo $leave->desc;?>'><?php echo $leave->desc;?></td>
            <td class='leave-<?php echo $leave->status?>' title='<?php echo $leave->statusLabel;?>'><?php echo $leave->statusLabel;?></td>
            <td class='actionTD text-left'>
              <?php
              if($viewUrl) echo html::a($viewUrl, $lang->detail, "data-toggle='modal'");
              if($type == 'personal')
              { 
                  if($leave->status == 'pass' and date('Y-m-d H:i:s') > "$leave->begin $leave->start" && date('Y-m-d H:i:s') < "$leave->end $leave->finish" && $leave->backDate != "$leave->end $leave->finish") 
                  {
                      commonModel::printLink('oa.leave', 'back', "id={$leave->id}", $lang->leave->back, "data-toggle='modal'");
                  }
                  else
                  {
                      echo html::a('javascript:;', $lang->leave->back, "class='disabled'");
                  }
                  $switchLabel = $leave->status == 'wait' ? $lang->leave->cancel : $lang->leave->commit;
                  if(strpos(',wait,draft,', ",$leave->status,") !== false)
                  {
                      commonModel::printLink('oa.leave', 'switchstatus', "id={$leave->id}", $switchLabel, "class='reload'");
                  }
                  else
                  {
                      echo html::a('javascript:;', $switchLabel,  "class='disabled'");
                  }
                  if(strpos(',wait,draft,reject,', ",$leave->status,") !== false)
                  {
                      commonModel::printLink('oa.leave', 'edit',   "id={$leave->id}", $lang->edit,   "data-toggle='modal'");
                      commonModel::printLink('oa.leave', 'delete', "id={$leave->id}", $lang->delete, "class='deleter'");
                  }
                  else
                  {
                      echo html::a('javascript:;', $lang->edit,   "class='disabled'");
                      echo html::a('javascript:;', $lang->delete, "class='disabled'");
                  }
              }
              else
              {
                  if(strpos(',wait,doing,', ",$leave->status,") !== false)
                  {
                      commonModel::printLink('oa.leave', 'edit',   "id={$leave->id}",               $lang->edit,                        "data-toggle='modal'");
                      commonModel::printLink('oa.leave', 'review', "id={$leave->id}&status=pass",   $lang->leave->statusList['pass'],   "class='reviewPass'");
                      commonModel::printLink('oa.leave', 'review', "id={$leave->id}&status=reject", $lang->leave->statusList['reject'], "data-toggle='modal'");
                  }
                  elseif($leave->status == 'back')
                  {
                      echo html::a('javascript:;', $lang->edit, "class='disabled'");
                      commonModel::printLink('oa.leave', 'review', "id={$leave->id}&status=pass&mode=back",   $lang->leave->statusList['pass'],   "class='reviewPass'");
                      commonModel::printLink('oa.leave', 'review', "id={$leave->id}&status=reject&mode=back", $lang->leave->statusList['reject'], "data-toggle='modal'");
                  }
                  else
                  {
                      echo html::a('javascript:;', $lang->edit,                        "class='disabled'");
                      echo html::a('javascript:;', $lang->leave->statusList['pass'],   "class='disabled'");
                      echo html::a('javascript:;', $lang->leave->statusList['reject'], "class='disabled'");
                  }
              }
              ?>
            </td>
          </tr>
          <?php endforeach;?>
        </table>
        <?php if(!$leaveList):?>
        <div class='table-footer'>
          <div class='pager' style='float: right; clear: none'><?php echo $lang->pager->noRecord;?></div>
        </div>
        <?php endif;?>
        <?php if($canBatchReview):?>
        <div class='table-footer'>
          <div class='checkbox-primary check-all'><label><?php echo $lang->selectAll?></label></div>
          <div class='table-actions btn-toolbar'><?php echo html::a('javascript:;', $lang->leave->statusList['pass'], "class='btn batchPass'");?>
          <div class='table-statistic'></div>
        </div>
      </form>
      <?php endif;?>
    </div>
<?php if($type != 'browseReview'):?>
  </div>
</div>
<?php endif;?>
<?php include '../../common/view/footer.html.php';?>
